if (typeof $ == 'undefined')
	var $ = jQuery;

$(function(){
	
	//Animate
	$.fn.extend({
		animateCss: function (animationName, animationDelay, animationDuration) {
			var animationEnd = 'webkitAnimationEnd oanimationend msAnimationEnd MSAnimationEnd animationend';
			this.addClass('animated ' + animationName);
			this.css("animation-delay", animationDelay);
			this.css("animation-duration", animationDuration);
			this.one(animationEnd, function(e) {
				$(this).removeClass('animated ' + animationName);
				$(this).css("animation-delay", "");
				$(this).css("animation-duration", "");
			});
			return this;
		}
	});

	//Match Height
	$('.er-vam').each(function() {
		var parentHeight = $(this).closest('.er-va-source').height();
		$(this).wrap("<div class='er-va-wrap'></div>");
		$(this).css({"height": parentHeight, "display": "table-cell", "vertical-align": "middle"});
	});

	$('.er-vab').each(function() {
		var parentHeight = $(this).closest('.er-va-source').height();
		$(this).css({"height": parentHeight, "display": "table-cell", "vertical-align": "bottom"});
	});

	//Top Header
	//var Menu = $('.er-header');
	//var MenuHeight = Menu.outerHeight();
	//MenuTop = Menu.offset().top;

	//$(window).scroll(function() {
	//	if ($(this).scrollTop() > MenuTop) {
	//		Menu.addClass('fixed');
	//		$('body').css({"padding-top": MenuHeight});
	//	} else {
	//		Menu.removeClass('fixed');
	//		$('body').css({"padding-top": 0});
	//	}
	//});

	//Search
	$("a.er-search-btn").click(function(e) {
		$(".er-search-overlay").fadeIn(200);
		e.preventDefault();
	});
	$("a.er-search-close").click(function(e) {
		$(".er-search-overlay").fadeOut(200);
		e.preventDefault();
	});


	//Slideshow
	var slider = $('.er-slideshow-items');
	slider.owlCarousel({
		autoplay: false,
		autoplayTimeout: 5500,
		smartSpeed: 500,
	    loop:true,
		rtl: true,
		autoplayHoverPause: true,
	    responsive:{
	        0:{
	            items:1
	        }
	    }
	});

	$('a.er-slideshow-next').click(function() {
		slider.trigger('next.owl.carousel');
		return false;
	});

	$('a.er-slideshow-prev').click(function() {
		slider.trigger('prev.owl.carousel');
		return false;
	});

	//Animation Slideshow
	var slide1 = function () {
		$('.slide1-img1, .slide1-img2, .slide1-img2, .slide1-img3, .slide1-img4, .er-slideshow-item-image').show();
		$('.slide1-img1').animateCss('fadeInDown', '1.5s', '.5s');
		$('.slide1-img2').animateCss('fadeInDown', '1.6s', '.5s');
		$('.slide1-img3').animateCss('fadeInUp', '1.7s', '.5s');
		$('.slide1-img4').animateCss('fadeInUp', '1.8s', '.5s');
		$('.er-slideshow-item-image').animateCss('fadeIn', '.5s', '1');
	};
	slide1();
	slider.on('translated.owl.carousel', slide1);

	var slide2 = function () {
		$('.slide2-img1, .slide2-img2, .slide2-img2, .slide2-img3, .slide2-img4, .er-slideshow-item-image').show();
		$('.slide2-img1').animateCss('fadeInDown', '1.5s', '.5s');
		$('.slide2-img2').animateCss('fadeInDown', '1.6s', '.5s');
		$('.slide2-img3').animateCss('fadeInUp', '1.7s', '.5s');
		$('.slide2-img4').animateCss('fadeInUp', '1.8s', '.5s');
		$('.er-slideshow-item-image').animateCss('fadeIn', '.5s', '1');
	};
	slide2();
	slider.on('translated.owl.carousel', slide2);

	var slide3 = function () {
		$('.slide3-img1, .slide3-img2, .slide3-img3, .slide3-img4, .slide3-img5, .er-slideshow-item-image').show();
		$('.slide3-img1').animateCss('fadeInDown', '1.5s', '.5s');
		$('.slide3-img2').animateCss('fadeInDown', '1.6s', '.5s');
		$('.slide3-img3').animateCss('fadeInDown', '1.7s', '.5s');
		$('.slide3-img4').animateCss('fadeInUp', '1.8s', '.5s');
		$('.slide3-img5').animateCss('fadeInUp', '1.9s', '.5s');
		$('.er-slideshow-item-image').animateCss('fadeIn', '.5s', '1');
	};
	slide3();
	slider.on('translated.owl.carousel', slide3);

	var slide4 = function () {
		$('.slide4-img1, .slide4-img2, .slide4-img3, .slide4-img4, .er-slideshow-item-image').show();
		$('.slide4-img1').animateCss('fadeInDown', '1.5s', '.5s');
		$('.slide4-img2').animateCss('fadeInDown', '1.6s', '.5s');
		$('.slide4-img3').animateCss('fadeInUp', '1.7s', '.5s');
		$('.slide4-img4').animateCss('fadeInUp', '1.8s', '.5s');
		$('.er-slideshow-item-image').animateCss('fadeIn', '.5s', '1');
	};
	slide4();
	slider.on('translated.owl.carousel', slide4);


	var slideOut = function() {
		$('.slide1-img1, .slide1-img2, .slide1-img3, .slide1-img4, .er-slideshow-item-image,'+
		'.slide2-img1, .slide2-img2, .slide2-img3, .slide2-img4,'+
		'.slide3-img1, .slide3-img2, .slide3-img3, .slide3-img4, .slide3-img5,'+
		'.slide4-img1, .slide4-img2, .slide4-img3, .slide4-img4').hide();
	}
	slider.on('translate.owl.carousel', slideOut);


	//Customers
	var Customers = $('.er-customers-items');
	Customers.owlCarousel({
		autoplay: true,
		autoplayTimeout: 4000,
		smartSpeed: 500,
	    loop:true,
	    rtl: true,
	    responsive:{
	        0:{
	        	items:1
	        },
			1440:{
				items:5
			},
			1199:{
				items:4
			},
			991:{
				items:3
			},
			768:{
				items:3
			},
			480:{
				items:2
			}
	    }
	});

	$('a.er-customers-next').click(function() {
		Customers.trigger('next.owl.carousel');
		return false;
	});

	$('a.er-customers-prev').click(function() {
		Customers.trigger('prev.owl.carousel');
		return false;
	});

	//Comments
	var Comments = $('.er-comments-items');
	Comments.owlCarousel({
		autoplay: false,
		autoplayTimeout: 4000,
		smartSpeed: 500,
	    loop:true,
	    rtl: true,
	    margin: 100,
	    responsive:{
	    	0:{
	        	items:1
	        },
			1200:{
				items:2
			}
	    }
	});

	$('a.er-comments-next').click(function() {
		Comments.trigger('next.owl.carousel');
		return false;
	});

	$('a.er-comments-prev').click(function() {
		Comments.trigger('prev.owl.carousel');
		return false;
	});

	//Packages Switch
	$('a.er-pricing-packages-switch-monthly').click(function(e){
		if($(this).hasClass('active')) {
			e.preventDefault();
		} else {
			$(this).addClass('active');
			$('.er-packages-yearly').hide();
			$('.er-packages-monthly').fadeIn();
			$('a.er-pricing-packages-switch-yearly').removeClass('active');
			e.preventDefault();
		}
	});
	$('a.er-pricing-packages-switch-yearly').click(function(e){
		if($(this).hasClass('active')) {
			e.preventDefault();
		} else {
			$(this).addClass('active');
			$('.er-packages-monthly').hide();
			$('.er-packages-yearly').fadeIn();
			$('a.er-pricing-packages-switch-monthly').removeClass('active');
			e.preventDefault();
		}
	});

	//Packages Help Text
	$('.package-help-icon > i.fa-question').click(function() {
		$('.package-help-text').hide();
		$(this).parents('.package-help').find('.package-help-text').show();
	});
	$('.package-help-text > a.close').click(function() {
		$('.package-help-text').hide();
		return false;
	});
	$(document).click(function(e) {
		if ($(e.target).is('.package-help-text, .package-help-text *, .package-help-icon > i.fa-question')) {
            return;
        }
		else {
			$('.package-help-text').hide();
		}
	});

	//FAQ Items
	$("[er-toggle] .er-toggle-button").click(function(e) {
		var erToggle = $(this).closest("[er-toggle]");
		if(erToggle.hasClass("active")) {
			erToggle.find(".fa-long-arrow-right").addClass("fa-long-arrow-left");
			erToggle.find(".fa-long-arrow-right").removeClass("fa-long-arrow-right");
			erToggle.removeClass("active");
			erToggle.find(".er-toggle-content").slideUp();
		} else {
			erToggle.find(".fa-long-arrow-left").addClass("fa-long-arrow-right");
			erToggle.find(".fa-long-arrow-left").removeClass("fa-long-arrow-left");
			erToggle.addClass("active");
			erToggle.find(".er-toggle-content").slideDown();
		}
		e.preventDefault();
	});

	//Web Design Types Navigation
	var webDesignMenuSlider = $('.er-webdesign-menu-slider');
	webDesignMenuSlider.owlCarousel({
		//autoplay: true,
		//autoplayTimeout: 5000,
		smartSpeed: 1000,
	    loop:true,
	    rtl: true,
	    responsive:{
	        0:{
	            items:1
	        },
	        600:{
	            items:3
	        },
	        1000:{
	            items:7
	        }
	    }
	});

	$('a.er-webdesign-menu-next').click(function() {
		webDesignMenuSlider.trigger('next.owl.carousel');
		return false;
	});

	$('a.er-webdesign-menu-prev').click(function() {
		webDesignMenuSlider.trigger('prev.owl.carousel');
		return false;
	});

	//Footer Fields
	var footerFields = $(".er-footer-fields");
	$(".er-footer-fields-btn").click(function(e) {
		footerFields.fadeIn();
		var footerFieldsTop = footerFields.offset().top;
		$("html, body").animate({scrollTop: footerFieldsTop - 100}, 500)
		e.preventDefault();
	});
	$(".er-footer-fields-close").click(function(e) {
		footerFields.fadeOut();
		e.preventDefault();
	});

	//Small Package Switch
	$('a.er-smallpkg-switch-monthly').click(function(e){
		if($(this).hasClass('active')) {
			e.preventDefault();
		} else {
			$(this).addClass('active');
			$('.er-smallpkg-pricing-cost.yearly').hide();
			$('.er-smallpkg-pricing-cost.monthly').fadeIn();
			$('a.er-smallpkg-switch-yearly').removeClass('active');
			e.preventDefault();
		}
	});
	$('a.er-smallpkg-switch-yearly').click(function(e){
		if($(this).hasClass('active')) {
			e.preventDefault();
		} else {
			$(this).addClass('active');
			$('.er-smallpkg-pricing-cost.monthly').hide();
			$('.er-smallpkg-pricing-cost.yearly').fadeIn();
			$('a.er-smallpkg-switch-monthly').removeClass('active');
			e.preventDefault();
		}
	});

	//View All Features Button
	$("#view-all-features-btn").click(function(e) {
		var er_packages_details = $(".er-packages-details").offset().top;
		$("html, body").animate({scrollTop: er_packages_details - 100}, 1000);
		e.preventDefault();
	});

	//Filter
	jQuery(function($) {
		$('#theme_filter').sdFilterMe({
			filterSelector: '.sorter',
			orderSelector: '.orderer',
			duration: 500,
			animation: 'ease',
			hoverEffect: true,
			sortedOut: 'disappear',
			css: {
				overlay: {
					background: {
						r: 0,
						v: 0,
						b: 0
					},
					duration: 250,
					border: '0 solid white',
					color: 'white',
					opacity: 0.5
				},
				border: {
					width: 0,
					color: '#2A4153'
				},
				margin: 15,
				pointer: true
			},
			nothingToShow: {
				text: 'Nothing to show',
				color: '#ccc'
			}
		}).on('fm.boxClicked', function(e, position, order) {
			//console.log('Box position is ' + position);
			//console.log('Box sort order is ' + order);
		});
	});

	//Jobs
	$("div.jobs div.item").click(function () {
		$(this).toggleClass("active");
		$(this).find("div.content").slideToggle();
	});

	//Start
	if($('.er-page-wrap')[0]) {
		var topSteps = $('.er-page-wrap').offset().top - 120;
	}

	$('#goto-step-1').click(function(e) {
		$('.register-process-step-0').hide();
		$('.register-process-step-1').addClass('current');
		$('.register-process-step-1').fadeIn();
		$("html, body").animate({scrollTop: topSteps}, 500);
		e.preventDefault();
	});
	
	$('.pagereg-step-category-item > label').click(function(e) {
		$('.pagereg-step-category-item').removeClass('current');
		$(this).parents('.pagereg-step-category-item').addClass('current');
		// setTimeout(function(){
		// 	$('.register-process-step-1').hide();
		// 	$('.register-process-step-2').addClass('current');
		// 	$('.register-process-step-2').fadeIn();
		// }, 700);

		$('.register-process-step-1').hide();
		$('.register-process-step-2').addClass('current');
		$('.register-process-step-2').fadeIn();
		
		$("html, body").animate({scrollTop: topSteps}, 500);
	});
	
	$('.register-process-step-2 .er-themes-txt a.select-theme').click(function(e) {
		$('.register-process-step-2').removeClass('current');
		$('.register-process-step-2').hide();
		$('.register-process-step-3').fadeIn();
		$("html, body").animate({scrollTop: topSteps}, 500);
		e.preventDefault();
	});

	$('.goto-step-4 a').click(function(e){
		$('.register-process-step-3').removeClass('current');
		$('.register-process-step-3').hide();
		$('.register-process-step-4').fadeIn();
		$("html, body").animate({scrollTop: topSteps}, 500);
		e.preventDefault();
	});
	
	$('.pagereg-back-to-prev.step-2 > a').click(function(e) {
		$('.register-process-step-2').removeClass('current');
		$('.register-process-step-2').hide();
		$('.register-process-step-1').fadeIn();
		$("html, body").animate({scrollTop: topSteps}, 500);
		e.preventDefault();
	});
	
	$('.pagereg-back-to-prev.step-3 > a').click(function(e) {
		$('.register-process-step-3').removeClass('current');
		$('.register-process-step-3').hide();
		$('.register-process-step-2').addClass('current');
		$('.register-process-step-2').fadeIn();
		$("html, body").animate({scrollTop: topSteps}, 500);
		e.preventDefault();
	});

	$('.pagereg-back-to-prev.step-4 > a').click(function(e) {
		$('.register-process-step-4').removeClass('current');
		$('.register-process-step-4').hide();
		$('.register-process-step-3').addClass('current');
		$('.register-process-step-3').fadeIn();
		$("html, body").animate({scrollTop: topSteps}, 500);
		e.preventDefault();
	});

	//Search Domain
	$(".searchdomain form").submit(function () {
		$("div.alertok, div.alertx").slideUp();
		$("div.alertok p span, div.alertx p span").html($("input[type=text]", this).val());
		$.ajax({
			method: "POST",
			dataType: "json",
			url: "/site/api/v1/domains/whois/?domain=" + $("input[type=text]", this).val(),
			success: function (results) {
				if (results.status == "available") {
					$("div.alertok").slideDown();
					$("div.alertx").slideUp();
				}
				if (results.status == "registered") {
					$("div.alertx").slideDown();
					$("div.alertok").slideUp();
				}
			},
			error: function (results, status, xhr) {
				alert(results.status == 400 ? "نام دامنه نوشته شده معتبر نیست." : "مشکلی در پرس و جو به وجود آمد.");
				$("div.alertok, div.alertx").slideUp();
			}
		});

		return false;
	});

	$('.alertok a, .alertx a').click(function(e) {
		$('.alertok, .alertx').slideUp();
		e.preventDefault();
	});












	$('.er-register-form .form-item input').focus(function() {
		$(this).closest('.form-item').addClass('active');
	});

	$('.er-register-form .form-item input').blur(function() {
		if($(this).val().length == "") {
			$(this).closest('.form-item').removeClass('active');
		}
	});

	//Back to Top
	$(window).scroll(function() {
	    if ($(this).scrollTop() > 200) {
	        $('.er-back-to-top').fadeIn();
	    } else {
	        $('.er-back-to-top').fadeOut();
	    }
	});

	$(".er-back-to-top a").click(function(e) {
	   $("html, body").animate({scrollTop: 0}, 1000);
	   e.preventDefault();
	});

	//Animation Blocks
	var $animation_elements = $('.animation-element');
	var $window = $(window);

	function check_if_in_view() {
		var window_height = $window.height();
		var window_top_position = $window.scrollTop();
		var window_bottom_position = (window_top_position + window_height);

		$.each($animation_elements, function() {
			var $element = $(this);
			var element_height = $element.outerHeight();
			var element_top_position = $element.offset().top;
			var element_bottom_position = (element_top_position + element_height);

			//check to see if this current container is within viewport
			if ((element_bottom_position >= window_top_position) &&	(element_top_position+200 <= window_bottom_position)) {
				$element.addClass('animated');
				$element.addClass('fadeIn');
			} else {
				//Do Nothing
			}
			$element.one('webkitAnimationEnd mozAnimationEnd MSAnimationEnd oanimationend animationend', function() {
				$element.removeClass('animated');
				$element.css({"opacity": 1});
			});
		});
	}

	$window.on('scroll resize', check_if_in_view);
	$window.trigger('scroll');
	
	//Fixed Sidebar in Post
	$(window).scroll(function() {
		if($(".er-post")[0]) {
			var $el = $('.er-post-left-fixed-scrolled');
			var $anchore = $('.er-post').offset().top;
			var $anchoreHeight = $('.er-post').outerHeight();
			var isPositionFixed = ($el.css('position') == 'fixed');
			if ($(this).scrollTop() > $anchore && !isPositionFixed && $(this).scrollTop() < ($anchoreHeight + 100)){ 
				$el.css({'position': 'fixed', 'top': '100px'}); 
			}
			else if ($(this).scrollTop() < $anchore && isPositionFixed){
				$el.css({'position': 'static', 'top': '0px'}); 
			}
			else if ($(this).scrollTop() > ($anchoreHeight + 100) && isPositionFixed){
				$el.css({'position': 'static', 'top': '0px'}); 
			}
		}
	});

});

//Poll
!function(a,b){function c(a,c){var d=a.find("[data-poll-result]"),e=a.find("[data-poll-item]"),f=a.find("[data-poll-votes]"),g=a.find("[data-poll-form]"),h=c.items.map(function(a){return e.html().replace(/\{\{title\}\}/gi,a.title).replace(/\{\{percent\}\}/gi,a.percent).replace(/\{\{votes\}\}/gi,a.votes)});f.text(c.votes.toString()),e.replaceWith(b.parseHTML(h.join(""))),d.show(),g.hide()}b(a).on("submit","form[data-poll-form]",function(a){var d=b(this),e=d.closest("[data-poll]"),f=e.attr("data-poll");b.post("site/api/v1/public/polls/"+decodeURIComponent(f),d.serialize()).done(function(a){c(e,a)}),a.preventDefault()}).on("click","[data-poll-retireve]",function(a){var d=b(this).closest("[data-poll]"),e=d.attr("data-poll");b.get("site/api/v1/public/polls/"+decodeURIComponent(e)).done(function(a){c(d,a)})})}(document,jQuery);
